<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    include "../mail.php";
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $id = ($id);
    $nome = isset($_POST["nome"]) ? $_POST["nome"]: '';
    $sobrenome = isset($_POST["sobrenome"]) ? $_POST["sobrenome"]: '';
    $senha = isset($_POST["senha"]) ? $_POST["senha"]: '';
    $csenha = isset($_POST["csenha"]) ? $_POST["csenha"]: '';
    $email = isset($_POST["email"]) ? $_POST["email"]: '';
    $unidade = isset($_POST["unidade"]) ? $_POST["unidade"]: '';
    $nivel = isset($_POST["nivel"]) ? $_POST["nivel"]: '';
    $av = (isset($_POST['av'])) ? 1 : 0;
    $ativo = (isset($_POST['ativo'])) ? 1 : 0;
    if($senha != $csenha){
    echo"<script language='javascript' type='text/javascript'>
        alert('As senhas não coincidem!');
        window.history.go(-1)>Volta;
    </script>";
    } else {
        if($senha == "" || $senha== null){
            $query=$pdo_sgt->prepare("UPDATE tb_usuarios SET nome=:nome, sobrenome=:sobrenome, email=:email, unidade=:unidade, unid_temp=:unidade, nivel=:nivel, avancado=:av, ativo=:ativo WHERE id=:id");
            $query->bindValue(":nome",$nome);
            $query->bindValue(":sobrenome",$sobrenome);
            $query->bindValue(":email",$email);
            $query->bindValue(":unidade",$unidade);
            $query->bindValue(":nivel",$nivel);
            $query->bindValue(":av",$av);
            $query->bindValue(":senha",$senha);
            $query->bindValue(":ativo",$ativo);
            $query->bindValue(":id",$id);
            $query->execute();
            $mensagem = "Dados alterados na tabela: tb_usuarios - "
                    . "Para os campos: nome, sobrenome, email, unidade, unid_temp, nivel, avancado, ativo - "
                    . "Com os seguintes valores: $nome, $sobrenome, $email, $unidade, $unidade, $nivel, $av, $ativo";
            salvaLog($mensagem);
            echo"<script language='javascript' type='text/javascript'>
                window.location.href='list_user.php';
            </script>";
        } else {
            $emailuser = $_SESSION['usuarioLogin'];
            $emailsenha = $senha;
            $senha = md5($senha).$userpasssgt;
            $query=$pdo_sgt->prepare("UPDATE tb_usuarios SET nome=:nome, sobrenome=:sobrenome, senha=:senha, email=:email, unidade=:unidade, unid_temp=:unid_temp, nivel=:nivel, avancado=:av, ativo=:ativo WHERE id=:id");
            $query->bindValue(":nome",$nome);
            $query->bindValue(":sobrenome",$sobrenome);
            $query->bindValue(":senha",$senha);
            $query->bindValue(":email",$email);
            $query->bindValue(":unidade",$unidade);
            $query->bindValue(":unid_temp",$unidade);
            $query->bindValue(":nivel",$nivel);
            $query->bindValue(":av",$av);
            $query->bindValue(":ativo",$ativo);
            $query->bindValue(":id",$id);
            $query->execute();
            $mensagem = "Dados alterados na tabela: tb_usuarios - "
                    . "Para os campos: nome, sobrenome, senha, email, unidade, unid_temp, nivel, avancado, ativo - "
                    . "Com os seguintes valores: $nome, $sobrenome, $senha, $email, $unidade, $unidade, $nivel, $av, $ativo";
            salvaLog($mensagem);
            # Define os destinatário(s)
            $email_nome_sobrenome = "$nome $sobrenome";
            $mail->AddAddress("$email", "$email_nome_sobrenome"); # Os campos podem ser substituidos por variáveis
            #$mail->AddAddress('webmaster@nomedoseudominio.com'); # Caso queira receber uma copia
            #$mail->AddCC('ciclano@site.net', 'Ciclano'); # Copia
            #$mail->AddBCC('fulano@dominio.com.br', 'Fulano da Silva'); # Cópia Oculta
            # Define os dados técnicos da Mensagem
            $mail->IsHTML(true); # Define que o e-mail será enviado como HTML
            #$mail->CharSet = 'iso-8859-1'; # Charset da mensagem (opcional)
            # Define a mensagem (Texto e Assunto)
            // Compo E-mail
            $emailcormpo = '<html><body>';
            $emailcormpo .= '<h2 style="color:#000000;">Olá '.$email_nome_sobrenome.'!</h2>';
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">O Usuário '.$emailuser.' alterou sua senha para:</p>';
            $emailcormpo .= '<p style="color:#000000;font-size:14px;">'.$emailsenha.'</p>';
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">Faça seu <a href="'.$sgturl.'">login</a>.</p>';
            $emailcormpo .= '</body></html>';
            $mail->Subject = utf8_decode("Alteração da senha - SGT"); # Assunto da mensagem
            $mail->Body = utf8_decode("$emailcormpo");
            $mail->AltBody = utf8_decode("$emailcormpo");
            # Define os anexos (opcional)
            #$mail->AddAttachment("c:/temp/documento.pdf", "documento.pdf"); # Insere um anexo
            # Envia o e-mail
            $enviado = $mail->Send();
            # Limpa os destinatários e os anexos
            $mail->ClearAllRecipients();
            $mail->ClearAttachments();
            echo"<script language='javascript' type='text/javascript'>
                alert('Dados alterados com sucesso! Um e-Mail foi enviado para o usuário com sua nova senha.');
                window.location.href='list_user.php';
            </script>";
        } 
    }
?>